Uname:Linux server2.hostofiraq.site 5.15.0-186-generic #196-Ubuntu SMP Sat Jun 20 16:09:34 UTC 2026 x86_64

Base Dir : /home/iscmbt-kufa-atu/public_html

User : iscmbt-kufa-atu


403WebShell
403Webshell
Server IP : 89.117.53.150  /  Your IP : 216.73.216.11
Web Server : Apache
System : Linux server2.hostofiraq.site 5.15.0-186-generic #196-Ubuntu SMP Sat Jun 20 16:09:34 UTC 2026 x86_64
User : iscmbt-kufa-atu ( 1014)
PHP Version : 8.2.32
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/share/perl-openssl-defaults/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/share/perl-openssl-defaults/get-libssl-abi
#!/bin/sh

# read SONAME version from /usr/lib/<triplet>/libssl.so

DEB_HOST_GNU_TYPE=${DEB_HOST_GNU_TYPE:-$(dpkg-architecture -qDEB_HOST_GNU_TYPE)}
DEB_HOST_MULTIARCH=${DEB_HOST_MULTIARCH:-$(dpkg-architecture -qDEB_HOST_MULTIARCH)}

SOFILE=/usr/lib/${DEB_HOST_MULTIARCH}/libssl.so
OBJDUMP=${DEB_HOST_GNU_TYPE}-objdump

if [ ! -r "$SOFILE" ]; then
    echo "Can't read '$SOFILE', aborting" 1>&2
    exit 1
fi

if ! which "$OBJDUMP" >/dev/null 2>&1; then
    echo "Can't run '$OBJDUMP', aborting" 1>&2
    exit 1
fi

SONAME=$("$OBJDUMP" -p "$SOFILE" | perl -ne '/SONAME\s+libssl\.so\.(.+)/ and print $1')

if [ ! -n "$SONAME" ]; then
    echo "Could not parse SONAME from the output of '$OBJDUMP' '$SOFILE', aborting" 1>&2
    exit 2
fi

echo "$SONAME"

Youez - 2016 - github.com/yon3zu
LinuXploit